
QGIS Application - Bug report #16388

Activation or deactivation of one of layer loaded in a view freezes/crashes  QGIS 2.18.5 etc.

2017-03-29 12:41 AM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24297

Description

In QGIS 2.18.4/2.14.3 and 2.18.5/2.14.4 on Windows 7 and Debian8 x64 (i7 4790 @ 4.00+4.00GHz and 16GB ram) 

activation or deactivation of one of layer loaded in a view causes a freeze or soft crash:

- QGIS spends about of 15-20 seconds to make the canvas refreshing (independently from the amount of records in the shapefiles (42 or

15000) );

- sometimes canvas refreshing causes QGIS do not responds for about 30-40 seconds; 

- when trying to click or move the canvas refreshing blocks for about 10-20 seconds;

- also using mouse scroll QGIS freezes/crashes.

projects and layers loaded in are avaible at:

https://drive.google.com/file/d/0Bz2LYcme0QO-R1IzV1hlMnZDMXc/view?usp=drive_web

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-05-01 04:58 PM - Giovanni Manghi

- Priority changed from High to Normal

- Description updated

- Category set to Project Loading/Saving

- Crashes QGIS or corrupts data changed from Yes to No

If you start a new project with the data you provided (thanks!) there are no issues.

There is something in your project that makes it slow down a lot. Notice that is not a crash or complete freeze, if you leave it alone (no clicking around,

especially on Windows) at some point it will recover.

This happens even after removing all the layers, and re-adding "topografia".

I was not able to identify what is causing that in the project file.

Until someone will not find the real issue (given is there is one that can really affects everyone) I will lower the priority, also because there is a easy

workaround: start a new project.

#3 - 2019-01-23 09:27 AM - salvatore fiandaca

- Status changed from Open to Closed
https://drive.google.com/file/d/0Bz2LYcme0QO-R1IzV1hlMnZDMXc/view?usp=drive_web


the attached link does not lead anywhere and it is not possible to reproduce the problem.

so I close issues
